Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1269347 - [RFE] Report statistics for SR-IOV 'pci-passthrough' vNIC types
Summary: [RFE] Report statistics for SR-IOV 'pci-passthrough' vNIC types
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: 3.6.0
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Rob Young
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-07 05:55 UTC by Michael Burman
Modified: 2020-06-26 16:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-01 14:47:09 UTC
oVirt Team: Metrics
sbonazzo: ovirt-4.5?
rule-engine: planning_ack?
mburman: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

Description Michael Burman 2015-10-07 05:55:03 UTC
Description of problem:
[SR-IOV] - Remove statistics tab for 'pci-passthrough' vNIC types.

I'm reporting this bug in order to decide if we want to remove the statistics tab for 'pci-passthrough' vNIC types.

- Today, if we had a regular vNIC type(virt i/o for example) with regular profile and we have a running VM using this vNIC, it will report statistics for this vNIC. If we will shut down the VM(hotunplug/plug not supported for sr-iov) and then will update the vNIC profile with 'passthrough' one and with 'pci-passthrough' type and then run the VM, the statistics tab will continue to display and report the statistics of the regular vNIC type and i'm not sure this is the desired behavior. 
 
Version-Release number of selected component (if applicable):
3.6.0-0.18.el6

Comment 1 Michael Burman 2015-10-07 05:59:16 UTC
If we will decide to remove this tab for 'pci-passthrough' vNIC types, it should be removed as well from API.

Comment 2 Yaniv Lavi 2016-11-23 10:38:09 UTC
Moving to DWH as we would like to add this to metric store.

Comment 3 Sandro Bonazzola 2019-09-26 13:42:28 UTC
Is this still relevant? please sync with Shirly on exact requirements

Comment 4 Michael Burman 2019-10-07 13:57:54 UTC
(In reply to Sandro Bonazzola from comment #3)
> Is this still relevant? please sync with Shirly on exact requirements

Yes, still relevant.

Comment 5 Michal Skrivanek 2020-03-19 15:41:20 UTC
We didn't get to this bug for more than 2 years, and it's not being considered for the upcoming 4.4. It's unlikely that it will ever be addressed so I'm suggesting to close it.
If you feel this needs to be addressed and want to work on it please remove cond nack and target accordingly.

Comment 6 Michal Skrivanek 2020-04-01 14:47:09 UTC
Closing old bug. Please reopen if still relevant/you want to work on it.


Note You need to log in before you can comment on or make changes to this bug.